﻿'
' Copyright (c) 2009-2015, MindFusion LLC - Bulgaria.
'
Imports MindFusion.Scheduling
Imports MindFusion.Scheduling.WebForms

Partial Public Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then
            'Set the Calendar's date to the start of the year.
            Calendar1.[Date] = New DateTime(DateTime.Today.Year, 1, 1)
            Calendar1.ItemSettings.ItemsVisible = State.Disabled
        End If
        If IsPostBack Then
            'Read the values from the hidden field and set the Calendar's date and current view accordingly.
            If hidden.Value <> "" Then
                Dim type As String = hidden.Value.Split(":"c)(0)
                Dim start As Long = Int64.Parse(hidden.Value.Split(":"c)(1))
                Dim startDate As DateTime = New DateTime(1970, 1, 1).AddMilliseconds(start).ToLocalTime()
                Calendar1.[Date] = startDate

                If type = "detail" Then
                    Dim [end] As Long = Int64.Parse(hidden.Value.Split(":"c)(2))
                    Dim endDate As DateTime = New DateTime(1970, 1, 1).AddMilliseconds([end]).ToLocalTime()

                    Calendar1.TimetableSettings.Dates.Clear()
                    While startDate < endDate
                        Calendar1.TimetableSettings.Dates.Add(New TimetableDate(startDate))
                        startDate = startDate.AddDays(1)
                    End While
                    Calendar1.CurrentView = CalendarView.Timetable
                    Calendar1.ItemSettings.ItemsVisible = State.Enabled
                ElseIf type = "next" Then
                    Calendar1.CurrentView = CalendarView.SingleMonth
                    Calendar1.ItemSettings.ItemsVisible = State.Disabled
                ElseIf type = "back" Then
                    If Calendar1.CurrentView = CalendarView.Timetable Then
                        Calendar1.CurrentView = CalendarView.SingleMonth
                    Else
                        Calendar1.CurrentView = CalendarView.MonthRange
                    End If
                    Calendar1.ItemSettings.ItemsVisible = State.Disabled
                End If
            End If
        End If
    End Sub

End Class