﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="Default.aspx.vb" Inherits=" MindFusion.Scheduling.Samples.VB.CalendarViews._Default" %>

<%@ Register Assembly="MindFusion.Scheduling.WebForms" Namespace="MindFusion.Scheduling.WebForms"
	TagPrefix="MindFusion" %>
	
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
	<title>MindFusion WebPlanner Sample - CalendarViews</title>
	<link href="common/jquery-ui.min.css" rel="stylesheet" />
	<link href="common/samples.css" rel="stylesheet" />
	<script type="text/javascript" src="common/jquery.min.js"></script>
	<script type="text/javascript" src="common/jquery-ui.min.js"></script>
	<script type="text/javascript" src="common/samples.js"></script>
</head>
<body>
	<form id="form2" runat="server">
	<input type="hidden" runat="server" id="hidden" enableviewstate="false" />
	<asp:ScriptManager ID="ScriptManager2" runat="server">
	</asp:ScriptManager>
	<input type="hidden" id="collapsed" runat="server" />
	<div id="header" style="height: 49px;">
		<div style="float: right; margin-right: 5px; margin-top: 17px;">
			<button id="expandButton" onclick="onExpandCollapse()">
				&gt;</button>
		</div>
	</div>
	<div id="info" style="top: 60px; bottom: 24px;">
		<div id="infoTab" style="padding: 10px;">
			<h1>
				About this sample</h1>
			<p>
				This sample shows how to use different calendar views to achieve different levels
				of detail in a single Calendar object. You can drill down to a detailed view of
				a single month, by clicking the corresponding month header, or switch to a Timetable
				view, by selecting one or more date cells in either MonthRange or SingleMonth views.
				To drill back up, click the Timeline header to switch to SingleMonth, or the month
				header to display the MonthRange view.</p>
		</div>
	</div>
	<div id="content" style="top: 60px; bottom: 24px;">
		<div style="position: absolute; left: 0px; top: 0px; bottom: 0px; right: 0px">
			<asp:UpdatePanel ID="UpdatePanel1" runat="server" style="position: absolute; left: 0px;
				top: 0px; bottom: 0px; right: 0px">
				<ContentTemplate>
					<MindFusion:Calendar ID="Calendar1" runat="server" Height="100%" Width="100%" CurrentView="MonthRange"
						Theme="Silver" AutoPostBack="True" TimetableColumnHeaderClickScript="headerClick"
						MonthHeaderClickScript="headerClick" SelectionEndScript="selectionEnd" CalendarLoadScript="calendarLoad">
						<MonthRangeSettings MonthsPerRow="3" NumberOfMonths="12" VisibleRows="4">
						</MonthRangeSettings>
						<MonthSettings HeaderStyle="Title">
							<DaySettings HeaderSize="0">
							</DaySettings>
						</MonthSettings>
					</MindFusion:Calendar>
				</ContentTemplate>
			</asp:UpdatePanel>
		</div>
	</div>
	<div id="footer" style="height: 24px;">
		<span id="copyright"></span>
	</div>
	<script type="text/javascript">
	    function headerClick(sender, args)
	    {
	        //check the current view of the calendar and set the hidden field's value accordingly
	        if (sender.getCurrentView() == 0)
	        {
	            $get('hidden').value = "next:" + args.get_date().valueOf();
	            __doPostBack('__Page');
	        }
	        if (sender.getCurrentView() > 0)
	        {
	            $get('hidden').value = "back:" + args.get_date().valueOf();
	            __doPostBack('__Page');
	        }
	    }

	    function selectionEnd(sender, args)
	    {
	        //cancel the default behavior if the current view is MonthRange or SingleMonth.
	        //keep the current selection range in the hidden field
	        if (sender.getCurrentView() < 2)
	        {
	            args.set_cancel(true);
	            $get('hidden').value = "detail:" + args.get_startTime().valueOf() + ":" + args.get_endTime().valueOf();
	            __doPostBack('__Page');
	        }
	    }

	    function calendarLoad(sender)
	    {
	        //if the current view is MonthRange or SingleMonth
	        //mark headers of the cells which contain appointments
	        $get('hidden').value = '';
	        if (sender.getCurrentView() < 2)
	        {
	            var items = sender.getItems();

	            for (var i = 0; i < items.length; i++)
	            {

	                var start = items[i].startTime.clone();
	                var end = items[i].endTime.clone();
	                var cells = sender.getTimeCells(start, end, true);
	                for (var k = 0; k < cells.length; k++)
	                {
	                    if (cells[k].titleText)
	                    {
	                        cells[k].titleText.style.color = 'red';
	                    }
	                }
	            }
	        }
	    }
	</script>
	</form>
</body>
</html>
